Subject: bug#13378: [PATCH] compile: use 'compile' script when "-c -o" is used with losing compilers

From: Stefano Lattarini <[email-masked]>
Date: Fri, 11 Jan 2013 20:16:05 +0100

On 01/11/2013 07:19 PM, Eric Blake wrote:
> On 01/10/2013 06:33 AM, Stefano Lattarini wrote:
>> Reference:
>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13378#50>
>>
> 
>>  @acindex AC_PROG_CC_C_O
>> -This is like @code{AC_PROG_CC_C_O}, but it generates its results in
>> -the manner required by Automake.  You must use this instead of
>> -@code{AC_PROG_CC_C_O} when you need this functionality, that is, when
>> -using per-target flags or subdir-objects with C sources.
>> +This is an @emph{obsolete wrapper} around @code{AC_PROG_CC_C_O}.  New
>> +code needs not to use this macro.  It might be deprecated and
> 
> s/needs not to/needs not/
> 
Fixed, thanks.  I will soon merge the patch into maint.  As for your
objections to the wording used in some of the documentation changes
(snipped here, to which I have replied in another mail), they can be
worked out further on-list, and if a consensus is reached, we can
adjust the documentation with follow-up patches without problem.

Thanks,
  Stefano